Subject: Re: linux-next: manual merge of the kselftest tree with the net-next tree

From: Shuah Khan <[email-masked]>
Date: Wed, 8 Jan 2025 16:40:10 -0700

On 1/7/25 20:40, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the kselftest tree got a conflict in:
> 
>    tools/testing/selftests/kselftest/ktap_helpers.sh
> 
> between commit:
> 
>    912d6f669725 ("selftests/net: packetdrill: report benign debug flakes as xfail")
> 
> from the net-next tree and commit:
> 
>    279e9403c5bd ("selftests: Warn about skipped tests in result summary")
> 
> from the kselftest tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 

Thank you for finding this. I will mention this when I send pr to Linus.

thanks,
-- Shuah